Subject: [mile] review request on the json IODEF draft at https://github.com/milewg/draft-ietf-mile-jsoniodef

From: "Takeshi Takahashi" <[email-masked]>
Date: Tue, 11 Dec 2018 16:10:09 +0900

Dear all,

We have been developing the cbor/json IODEF draft
(https://tools.ietf.org/html/draft-ietf-mile-jsoniodef-06), and its latest
version is available on the github:
https://github.com/milewg/draft-ietf-mile-jsoniodef

We believe the draft is ready for the next step.

To move forward, we need to get feedbacks from this community.

Could you review the draft on the github and provide us any feedback,
please?

The draft seems to be long, but most of the pages are CDDL data model and
the main body text is not long.

We appreciate your kind assistance very much.

Best regards,

Take

---

From: Takahiko Nagata <[email-masked]>
Date: Fri, 14 Dec 2018 20:09:29 +0900

Hi Take,

I would like to 2 comments.

(1) Should apply ErrataID: 5398 (AlternativeIndicatorID)

Errata ID: 5398
https://www.rfc-editor.org/errata/eid5398

CDDL in latest draft says:
```
AlternativeIndicatorID = {
  ? restriction: restriction .default "private"
  ? ext-restriction: text
  IndicatorReference: [+ IndicatorReference]
}
```

It should say:
```
AlternativeIndicatorID = {
  ? restriction: restriction .default "private"
  ? ext-restriction: text
  IndicatorID: [+ IndicatorID]
}
```

(2) [Question]DomainData, Address of Node should be exist
at the same time?

Errata ID: 5544
https://www.rfc-editor.org/errata/eid5544

XML Schame in errata say:
```
  <xs:element name="Node">
       <xs:complexType>
         <xs:sequence>
           <xs:choice maxOccurs="unbounded">
             <xs:element ref="iodef:DomainData"
                         maxOccurs="unbounded"/>
             <xs:element ref="iodef:Address"
                         maxOccurs="unbounded"/>
           </xs:choice>
```
-->There is only either DomainData or Address.
  (NOT exists at the same time.)

CDDL in latest draft says:
```
Node = {
  (DomainData:[+ DomainData]
   ? Address:[+ Address] //
   ? DomainData:[+ DomainData]
   Address:[+ Address])
```
-->Exists at the same time.

Maybe CDDL sytanx is correct and XML Schema of errata is wrong, I think.
Because RFC7970 say:
```
DomainData
Zero or more. The domain (DNS) information associated with this
node. If an Address is not provided, at least one DomainData MUST
be specified. See Section 3.19.
```

Best Regards,
Takahiko Nagata

On 2018/12/11 16:10, Takeshi Takahashi wrote:
> _______________________________________________
> mile mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mile
> 

-- 
=============================
株式会社レピダム
永田　貴彦

Mail: [email-masked]
Tel:   03-6276-5103

〒151-0071
東京都渋谷区本町3-12-1　住友不動産西新宿ビル6号館
=============================